@nova-sdk/api
import { Nova } from "@nova-sdk/api";
const nova = new Nova({
apiKey: "sk_test_...",
tenantId: "acme-corp",
});
const result = await nova.jobs.criteria.generate.get({
jobId: "job_abc123",
criteriaGenerationId: "cv_abc123",
});curl -X GET "https://embed.nova.dweet.com/v1/jobs/job_abc123/criteria/generate/cv_abc123" \
-H "Authorization: Bearer sk_test_..." \
-H "X-Tenant-Id: acme-corp"{
"criteria": [
{
"id": "<string>",
"text": "<string>",
"importance": "MUST_HAVE",
"order": 123,
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}Criteria
Get Criteria Generation
Retrieve the result of a criteria generation by its ID
GET
/
v1
/
jobs
/
{jobId}
/
criteria
/
generate
/
{criteriaGenerationId}
@nova-sdk/api
import { Nova } from "@nova-sdk/api";
const nova = new Nova({
apiKey: "sk_test_...",
tenantId: "acme-corp",
});
const result = await nova.jobs.criteria.generate.get({
jobId: "job_abc123",
criteriaGenerationId: "cv_abc123",
});curl -X GET "https://embed.nova.dweet.com/v1/jobs/job_abc123/criteria/generate/cv_abc123" \
-H "Authorization: Bearer sk_test_..." \
-H "X-Tenant-Id: acme-corp"{
"criteria": [
{
"id": "<string>",
"text": "<string>",
"importance": "MUST_HAVE",
"order": 123,
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}Retrieve the criteria from a specific generation by its version ID. The
If the criteria generation doesn’t exist, the endpoint returns a
criteriaGenerationId maps to the criteria version created during generation. Get it from the criteria versions endpoints.
When to use
- You want to fetch the criteria that were created by a specific generation
- You need to verify the output of a generation before scoring
Example response
{
"criteria": [
{
"id": "crit_a1b2c3d4e5f6",
"text": "Strong proficiency in Go for backend development",
"importance": "MUST_HAVE",
"order": 0
},
{
"id": "crit_b2c3d4e5f6a7",
"text": "Experience with Kubernetes and container orchestration",
"importance": "PREFERRED",
"order": 1
}
]
}
404 error with code CRITERIA_VERSION_NOT_FOUND.
Related operations
Generate Criteria
Generate criteria for a job
Get Active Criteria
Retrieve the currently active criteria for a job
Authorizations
Use Authorization: Bearer sk_test_* or Authorization: Bearer sk_live_*.
Headers
Your customer identifier. Tenants are auto-provisioned on first request.
Path Parameters
Your job identifier (external ID).
The criteria version ID created by a generation request. Retrieve it from the criteria versions endpoints.
Response
Criteria
Show child attributes
Show child attributes
Was this page helpful?